%global modulename got

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-got
Version:        6.7.1
Release:        1%{?dist}
Summary:        Simplified HTTP requests

License:        MIT
URL:            https://github.com/sindresorhus/got#readme
Source0:        http://registry.npmjs.org/got/-/got-6.7.1.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(create-error-class) >= 3.0.0 with npmlib(create-error-class) < 4.0.0))
BuildRequires:  ((npmlib(duplexer3) >= 0.1.4 with npmlib(duplexer3) < 0.2.0))
BuildRequires:  ((npmlib(get-stream) >= 3.0.0 with npmlib(get-stream) < 4.0.0))
BuildRequires:  ((npmlib(is-redirect) >= 1.0.0 with npmlib(is-redirect) < 2.0.0))
BuildRequires:  ((npmlib(is-retry-allowed) >= 1.0.0 with npmlib(is-retry-allowed) < 2.0.0))
BuildRequires:  ((npmlib(is-stream) >= 1.0.0 with npmlib(is-stream) < 2.0.0))
BuildRequires:  ((npmlib(lowercase-keys) >= 1.0.0 with npmlib(lowercase-keys) < 2.0.0))
BuildRequires:  ((npmlib(safe-buffer) >= 5.0.1 with npmlib(safe-buffer) < 6.0.0))
BuildRequires:  ((npmlib(timed-out) >= 4.0.0 with npmlib(timed-out) < 5.0.0))
BuildRequires:  ((npmlib(unzip-response) >= 2.0.1 with npmlib(unzip-response) < 3.0.0))
BuildRequires:  ((npmlib(url-parse-lax) >= 1.0.0 with npmlib(url-parse-lax) < 2.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Simplified HTTP requests

%package 6.7.1
Summary:        Simplified HTTP requests


%description 6.7.1
Simplified HTTP requests

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc readme.md
%license license
%{nodejs_dir}/%{modulename}

%files 6.7.1
%doc readme.md
%license license
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 6.7.1-1
- Package automatically generated by npm2srpm
